Subject: Re: [PATCH v7 bpf-next 0/9] introduce support for XDP programs in CPUMAP

From: Lorenzo Bianconi <[email-masked]>
Date: Tue, 14 Jul 2020 17:35:30 +0200

> On Tue, Jul 14, 2020 at 6:56 AM Lorenzo Bianconi <[email-masked]> wrote:
> >
> > Similar to what David Ahern proposed in [1] for DEVMAPs, introduce the
> > capability to attach and run a XDP program to CPUMAP entries.
> > The idea behind this feature is to add the possibility to define on which CPU
> > run the eBPF program if the underlying hw does not support RSS.
> > I respin patch 1/6 from a previous series sent by David [2].
> > The functionality has been tested on Marvell Espressobin, i40e and mlx5.
> > Detailed tests results can be found here:
> > https://github.com/xdp-project/xdp-project/blob/master/areas/cpumap/cpumap04-map-xdp-prog.org
> >
> > Changes since v6:
> > - rebase on top of bpf-next
> > - move bpf_cpumap_val and bpf_prog in the first bpf_cpu_map_entry cache-line
> 
> fyi. I'm waiting on Daniel to do one more look, since he commented in the past.

ack, thx. I have just figured out today that v6 is not applying anymore.

Regards,
Lorenzo